Package com.xebialabs.xlrelease.domain

# Class Tenant

java.lang.Object
com.xebialabs.xlrelease.domain.Tenant

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class Tenant extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tenant(String tenantId, String tenantName, TenantStatus tenantStatus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Tenant`
  `apply(String tenantId, String tenantName, TenantStatus tenantStatus)`
  `boolean`
  `canEqual(Object x$1)`
  `Tenant`
  `copy(String tenantId, String tenantName, TenantStatus tenantStatus)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `TenantStatus`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `String`
  `getTenantId()`
  `String`
  `getTenantName()`
  `TenantStatus`
  `getTenantStatus()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `tenantId()`
  `String`
  `tenantName()`
  `TenantStatus`
  `tenantStatus()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<String,String,TenantStatus>>`
  `unapply(Tenant x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### Tenant

    public Tenant(String tenantId, String tenantName, TenantStatus tenantStatus)

- ## Method Details

  - ### apply

    public static Tenant apply(String tenantId, String tenantName, TenantStatus tenantStatus)

  - ### unapply

    public static scala.Option<scala.Tuple3<String,String,TenantStatus>> unapply(Tenant x$0)

  - ### tenantId

    public String tenantId()

  - ### tenantName

    public String tenantName()

  - ### tenantStatus

    public TenantStatus tenantStatus()

  - ### copy

    public Tenant copy(String tenantId, String tenantName, TenantStatus tenantStatus)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### copy$default$3

    public TenantStatus copy$default$3()

  - ### getTenantId

    public String getTenantId()

  - ### getTenantName

    public String getTenantName()

  - ### getTenantStatus

    public TenantStatus getTenantStatus()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`